@import url('https://fonts.googleapis.com/css2?family=Overpass:wght@400;700&display=swap');

:root {
  --orange: hsl(25, 97%, 53%);
  --white: hsl(0, 0%, 100%);
  --lightGrey: hsl(217, 12%, 63%);
  --mediumGrey: hsl(216, 12%, 54%);
  --darkBlue: hsl(213, 19%, 18%);
  --veryDarkBlue: hsl(216, 12%, 8%);
}

* {
  margin: 0;
  border: none;
  box-sizing: border-box;
  padding: 0;
}

body {
  background: var(--veryDarkBlue);
  font-family: 'Overpass', sans-serif;
}

main {
  display: grid;
  place-items: center;
}

.card h2,
.submit,
.thankyou h3,
.ratings button:hover,
footer {
  color: var(--white);
}

.card p,
.ratings-button,
.thankyou p {
  color: var(--lightGrey);
}

.card,
.thankyou {
  margin-top: 154px;
  width: clamp(326px, 412px, 86.9333333333vw);
  border-radius: 15px;
  background: linear-gradient(135deg, #22252a, #191d26);
}

.ratings-button,
.thankyou h2 {
  background: #272e38;
}

.card {
  padding: 24px 23px 32px;
}

.star {
  height: 40px;
  width: 40px;
  background: url('/icon-star.svg') no-repeat 53% #272e38;
  background-size: 14px;
  border-radius: 50%;
}

.card h2 {
  margin-top: 19px;
  color: white;
  font-size: 23.8px;
}

.card p {
  margin-top: 11px;
  font-size: 14px;
  line-height: 22px;
}

.ratings {
  margin-top: 27px;
  display: flex;
  justify-content: space-between;
}

.ratings-button {
  height: 42px;
  width: 42px;
  border-radius: 50%;
  font-weight: 700;
  font-size: 14px;
  transition: 400ms;
}

.ratings-button:hover {
  background: var(--lightGrey);
}

.selected-rating {
  background: var(--orange);
  color: var(--white);
}

.submit {
  pointer-events: none;
  opacity: .5;
  margin-top: 24px;
  height: 45px;
  width: 100%;
  border-radius: 45px;
  background: var(--orange);
  font-weight: 700;
  letter-spacing: 1.5px;
  font-size: 14px;
  transition: 400ms;
}

.submit-activate {
  pointer-events: auto;
  opacity: 1;
}

.submit:hover {
  background: white;
  color: var(--orange);
}

.thankyou {
  padding: 34px 23px 39px;
  display: grid;
  place-items: center;
}

.thankyou-image {
  background: url('/illustration-thank-you.svg');
  height: 96px;
  width: 144px;
  background-size: contain;
}

.thankyou h2 {
  margin-top: 23.8px;
  border-radius: 2em;
  padding: 9px 12px 5px;
  color: var(--orange);
  font-weight: 400;
  font-size: 14.1px;
}

.thankyou h3 {
  margin-top: 27px;
}

.thankyou p {
  margin-top: 12px;
  text-align: center;
  font-size: 14px;
  line-height: 22px;
}

footer {
  margin-top: 75px;
  padding: 20px;
}

.attribution {
  font-size: 15px;
  text-align: center;
}

.attribution a {
  color: hsl(228, 45%, 44%);
}

@media only screen and (min-width: 376px) {

  .card,
  .thankyou {
    margin-top: 195px;
    border-radius: 8%;
  }

  .card {
    padding: 32px 32px 32px;
  }

  .star {
    height: 48px;
    width: 48px;
    background-size: 16px;
    background-position: 52%;
  }

  .card h2 {
    margin-top: 33px;
    font-size: 27.6px;
  }

  .card p {
    margin-top: 9px;
    font-size: 15px;
    line-height: 24px;
  }

  .ratings {
    margin-top: 27px;
  }

  .ratings-button {
    height: 51px;
    width: 51px;
    font-size: 16px;
  }

  .submit {
    margin-top: 32px;
    height: 45px;
    border-radius: 45px;
    letter-spacing: 1.5px;
    font-size: 14px;
  }

  .thankyou {
    padding: 45px 23px 48px;
  }

  .thankyou-image {
    height: 108px;
    width: 162px;
  }

  .thankyou h2 {
    margin-top: 32px;
    padding: 8.4px 19px 5px;
    font-size: 15.1px;
  }

  .thankyou h3 {
    margin-top: 34px;
    font-size: 27.4px;
  }

  .thankyou p {
    margin-top: 10px;
    font-size: 15.3px;
    line-height: 24px;
  }

  footer {
    margin-top: 130px;
  }
}